petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterType

String with the name of a PETSc vector scatter type

### Synopsis

    typedef const char* VecScatterType;
    #define VECSCATTERSEQ       "seq"
    #define VECSCATTERMPI1      "mpi1"
    #define VECSCATTERMPI3      "mpi3"     /* use MPI3 on-node shared memory */
    #define VECSCATTERMPI3NODE  "mpi3node" /* use MPI3 on-node shared memory for vector type VECNODE */

### See Also

VecScatterSetType(), VecScatter, VecScatterCreate(), VecScatterDestroy()

### Level

beginner

### Location

src/vec/vscat/../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages